import { createRouter, createWebHashHistory } from "vue-router";

let routes = [
  // 首页 -> 展馆列表
  {
    path: "/",
    name: "home",
    component: () => import("@/view/home/index.vue"),
  },
  // 展馆 -> 音频列表
  {
    path: "/exhibitionList",
    name: "exhibitionList",
    component: () => import("@/view/exhibitionList/index.vue"),
  },
  // 展馆 -> 音频详情
  {
    path: "/audioDetail",
    name: "audioDetail",
    component: () => import("@/view/audioDetail/index.vue"),
  },
];
// 路由
const router = createRouter({
  history: createWebHashHistory(),
  routes,
});
// 导出
export default router;
